Altibase.jdbc.driver.sharding.core

## Interface InternalShardingPreparedStatement

All Superinterfaces:
  InternalShardingStatement

All Known Subinterfaces:
  InternalShardingCallableStatement

All Known Implementing Classes:
  DataNodeShardingCallableStatement, DataNodeShardingPreparedStatement, ServerSideShardingCallableStatement, ServerSideShardingPreparedStatement

    public interface InternalShardingPreparedStatement
    extends InternalShardingStatement

ServerSide 또는 ClientSide에서 공통적으로 실행되는 java.sql.PreparedStatement 인터페이스 모음

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addBatch()`
`void` `clearBatch()`
`void` `clearParameters()`
`boolean` `execute()`
`int[]` `executeBatch()`
`java.sql.ResultSet` `executeQuery()`
`int` `executeUpdate()`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.sql.ParameterMetaData` `getParameterMetaData()`
`void` `rePrepare(CmProtocolContextShardStmt aShardStmtCtx)`
`void` `setAsciiStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setBigDecimal(int aParameterIndex, java.math.BigDecimal aValue)`
`void` `setBinaryStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setBlob(int aParameterIndex, java.sql.Blob aValue)`
`void` `setBoolean(int aParameterIndex, boolean aValue)`
`void` `setByte(int aParameterIndex, byte aValue)`
`void` `setBytes(int aParameterIndex, byte[] aValue)`
`void` `setCharacterStream(int aParameterIndex, java.io.Reader aReader, int aLength)`
`void` `setClob(int aParameterIndex, java.sql.Clob aValue)`
`void` `setDate(int aParameterIndex, java.sql.Date aValue)`
`void` `setDate(int aParameterIndex, java.sql.Date aValue, java.util.Calendar aCal)`
`void` `setDouble(int aParameterIndex, double aValue)`
`void` `setFloat(int aParameterIndex, float aValue)`
`void` `setInt(int aParameterIndex, int aValue)`
`void` `setLong(int aParameterIndex, long aValue)`
`void` `setNull(int aParameterIndex, int aSqlType)`
`void` `setNull(int aParameterIndex, int aSqlType, java.lang.String aTypeName)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType, int aScale)`
`void` `setShort(int aParameterIndex, short aValue)`
`void` `setString(int aParameterIndex, java.lang.String aValue)`
`void` `setTime(int aParameterIndex, java.sql.Time aValue)`
`void` `setTime(int aParameterIndex, java.sql.Time aValue, java.util.Calendar aCal)`
`void` `setTimestamp(int aParameterIndex, java.sql.Timestamp aValue)`
`void` `setTimestamp(int aParameterIndex, java.sql.Timestamp aValue, java.util.Calendar aCal)`

### Methods inherited from interface Altibase.jdbc.driver.sharding.core.InternalShardingStatement

`cancel, clearForGeneratedKeys, clearWarnings, close, getConnection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getUpdateCount, getWarnings, hasNoData, isPrepared, makeQstrForGeneratedKeys, setCursorName, setEscapeProcessing, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

### Method Detail

#### executeQuery

    java.sql.ResultSet executeQuery()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeUpdate

    int executeUpdate()
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeBatch

    int[] executeBatch()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clearParameters

    void clearParameters()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### execute

    boolean execute()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addBatch

    void addBatch()
           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMetaData

    java.sql.ResultSetMetaData getMetaData()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getParameterMetaData

    java.sql.ParameterMetaData getParameterMetaData()
                                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clearBatch

    void clearBatch()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### rePrepare

    void rePrepare(CmProtocolContextShardStmt aShardStmtCtx)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setInt

    void setInt(int aParameterIndex,
                int aValue)
         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNull

    void setNull(int aParameterIndex,
                 int aSqlType)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNull

    void setNull(int aParameterIndex,
                 int aSqlType,
                 java.lang.String aTypeName)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBoolean

    void setBoolean(int aParameterIndex,
                    boolean aValue)
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setByte

    void setByte(int aParameterIndex,
                 byte aValue)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setShort

    void setShort(int aParameterIndex,
                  short aValue)
           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setLong

    void setLong(int aParameterIndex,
                 long aValue)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setFloat

    void setFloat(int aParameterIndex,
                  float aValue)
           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setDouble

    void setDouble(int aParameterIndex,
                   double aValue)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBigDecimal

    void setBigDecimal(int aParameterIndex,
                       java.math.BigDecimal aValue)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setString

    void setString(int aParameterIndex,
                   java.lang.String aValue)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBytes

    void setBytes(int aParameterIndex,
                  byte[] aValue)
           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setDate

    void setDate(int aParameterIndex,
                 java.sql.Date aValue)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setDate

    void setDate(int aParameterIndex,
                 java.sql.Date aValue,
                 java.util.Calendar aCal)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTime

    void setTime(int aParameterIndex,
                 java.sql.Time aValue)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTime

    void setTime(int aParameterIndex,
                 java.sql.Time aValue,
                 java.util.Calendar aCal)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTimestamp

    void setTimestamp(int aParameterIndex,
                      java.sql.Timestamp aValue)
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTimestamp

    void setTimestamp(int aParameterIndex,
                      java.sql.Timestamp aValue,
                      java.util.Calendar aCal)
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setAsciiStream

    void setAsciiStream(int aParameterIndex,
                        java.io.InputStream aValue,
                        int aLength)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBinaryStream

    void setBinaryStream(int aParameterIndex,
                         java.io.InputStream aValue,
                         int aLength)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setObject

    void setObject(int aParameterIndex,
                   java.lang.Object aValue,
                   int aTargetSqlType,
                   int aScale)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setObject

    void setObject(int aParameterIndex,
                   java.lang.Object aValue,
                   int aTargetSqlType)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setCharacterStream

    void setCharacterStream(int aParameterIndex,
                            java.io.Reader aReader,
                            int aLength)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBlob

    void setBlob(int aParameterIndex,
                 java.sql.Blob aValue)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setClob

    void setClob(int aParameterIndex,
                 java.sql.Clob aValue)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`